# dockdialog.cpp File Reference

Template File. More...

`#include "app.h"`
`#include <sigc++/adaptors/hide.h>`
`#include "dockdialog.h"`
`#include "dockbook.h"`
`#include "dockmanager.h"`
`#include "toolbox.h"`
`#include "widget_compselect.h"`
`#include <synfig/general.h>`
`#include <synfig/uniqueid.h>`
`#include <gtkmm/table.h>`
`#include <sigc++/hide.h>`
`#include <sigc++/slot.h>`
`#include <sigc++/retype_return.h>`
`#include <sigc++/retype.h>`
`#include "canvasview.h"`
`#include <gtkmm/paned.h>`
`#include <gtkmm/box.h>`
`#include <synfigapp/main.h>`
`#include "general.h"`

## Defines

#define | GRAB_HINT_DATA(y, default)

## Detailed Description

Template File.

$Id$

## Define Documentation

#define GRAB_HINT_DATA | ( | y,
|  | default |  | ) |

Value:

    { \
            String x; \
            if(synfigapp::Main::settings().get_value(String("pref.")+y+"_hints",x)) \
            { \
                set_type_hint((Gdk::WindowTypeHint)atoi(x.c_str()));    \
            } else {\
                set_type_hint(default); \
            } \
        }